{
	"name": "table/external/4d/manager/order/accounts_payable_row.json",
	"table_name": "accounts_payable_row",
	"table_prefix": "apr",
	"main_table": "accounts_payable",
	"record_type": ["accounts_payable"],
	"local_table": "order_row",
	"local_record_type": "accounts_payable",
	"table_number": 39,
	"field": [
		{
			"field_length": 24,
			"field_name": "account_id",
			"field_number": 2,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "account_id",
					"linked_table": "account"
				}
			],
			"local_field": "account_id",
			"nullable": true
		},
		{
			"field_length": 20,
			"field_name": "accounts_payable_id",
			"field_number": 1,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "code_id",
					"linked_table": "accounts_payable"
				}
			],
			"local_field": "invoice_id",
			"nullable": true
		},
		{
			"field_length": 90,
			"field_name": "change_id",
			"field_number": 21,
			"local_field": "modify_id"
		},
		{
			"field_length": 40,
			"field_name": "creator_id",
			"field_number": 22,
			"local_field": "create_user"
		},
		{
			"field_name": "currency_sum",
			"field_number": 12,
			"local_field": "price_without_vat"
		},
		{
			"field_length": 80,
			"field_name": "customer_project",
			"field_number": 19,
			"local_field": "json_data.customer_project"
		},
		{
			"field_name": "debet_sum",
			"field_number": 4,
			"local_field": "json_data.debet_price"
		},
		{
			"field_length": 160,
			"field_name": "explanation",
			"field_number": 3,
			"local_field": "description"
		},
		{
			"field_name": "final_payment",
			"field_number": 9,
			"local_field": "json_data.final_payment"
		},
		{
			"field_name": "firm_id",
			"field_number": 15,
			"local_field": "json_data.firm_id"
		},
		{
			"field_name": "info",
			"field_number": 16,
			"local_field": "info"
		},
		{
			"field_name": "kredit_sum",
			"field_number": 5,
			"local_field": "json_data.kredit_sum"
		},
		{
			"field_length": 40,
			"field_name": "modifier_id",
			"field_number": 23,
			"local_field": "json_data.modifier_id"
		},
		{
			"field_name": "po_row_record_number",
			"field_number": 10,
			"local_field": "json_data.po_row_record_number"
		},
		{
			"field_length": 88,
			"field_name": "product_id",
			"field_number": 7,
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "product_id",
					"linked_table": "product"
				}
			],
			"local_field": "product_id",
			"nullable": true
		},
		{
			"field_length": 80,
			"field_name": "project_id",
			"field_number": 20,
			"local_field": "json_data.project_id"
		},
		{
			"field_length": 24,
			"field_name": "purchase_debt_account_id",
			"field_number": 17,
			"local_field": "contra_account_id"
		},
		{
			"field_length": 12,
			"field_name": "purchase_order_code_id",
			"field_number": 13,
			"local_field": "order_code_id"
		},
		{
			"constraint": ["unique"],
			"field_length": 90,
			"field_name": "record_id",
			"field_number": 14,
			"local_field": "record_id"
		},
		{
			"field_name": "row_number",
			"field_number": 8,
			"local_field": "row_number"
		},
		{
			"field_length": 4,
			"field_name": "state",
			"field_number": 11,
			"local_field": "json_data.state"
		},
		{
			"field_length": 60,
			"field_name": "target",
			"field_number": 6,
			"local_field": "json_data.target"
		},
		{
			"field_length": 120,
			"field_name": "transfer_id",
			"field_number": 18,
			"local_field": "json_data.transfer_id"
		},
		{
			"field_name": "transfer_state",
			"field_number": 24,
			"local_field": "json_data.transfer_state"
		}
	],
	"default_field": "table/default_field.json"
}
